## NMSettingBondPort NMSettingBondPort — Describes connection properties for bond ports |

## Functions

NMSetting * | nm_setting_bond_port_new ()
guint32 | nm_setting_bond_port_get_queue_id ()
gint32 | nm_setting_bond_port_get_prio ()

## Types and Values

#define | NM_SETTING_BOND_PORT_SETTING_NAME
#define | NM_SETTING_BOND_PORT_QUEUE_ID
#define | NM_SETTING_BOND_PORT_PRIO

## Description

The NMSettingBondPort object is a NMSetting subclass that describes optional properties that apply to bond ports.

## Functions

### nm_setting_bond_port_new ()

    NMSetting *
    nm_setting_bond_port_new (void);

Creates a new NMSettingBondPort object with default values.

#### Returns

the new empty NMSettingBondPort object.

[transfer full]

Since: 1.34

### nm_setting_bond_port_get_queue_id ()

    guint32
    nm_setting_bond_port_get_queue_id (NMSettingBondPort *setting);

#### Parameters

setting | the NMSettingBondPort |

#### Returns

the “queue_id” property of the setting

Since: 1.34

### nm_setting_bond_port_get_prio ()

    gint32
    nm_setting_bond_port_get_prio (NMSettingBondPort *setting);

#### Parameters

setting | the NMSettingBondPort |

#### Returns

the “prio” property of the setting

Since: 1.44

## Types and Values

### NM_SETTING_BOND_PORT_SETTING_NAME

    #define NM_SETTING_BOND_PORT_SETTING_NAME "bond-port"

### NM_SETTING_BOND_PORT_QUEUE_ID

    #define NM_SETTING_BOND_PORT_QUEUE_ID "queue-id"

### NM_SETTING_BOND_PORT_PRIO

    #define NM_SETTING_BOND_PORT_PRIO     "prio"